%define major		2
%define libname		%mklibname signal-protocol-c %{major}
%define develname	%mklibname signal-protocol-c -d

Name:		libsignal-protocol-c
Version:	2.3.3
Release:	%mkrel 4
Summary:	Signal Protocol C library
Group:		System/Libraries
License:	GPLv3
URL:		https://github.com/signalapp/libsignal-protocol-c
Source0:	https://github.com/signalapp/libsignal-protocol-c/archive/v%{version}/%{name}-%{version}.tar.gz
# https://github.com/signalapp/libsignal-protocol-c/pull/128
Patch1:		0001-remove-bundled-version-of-protobuf-c-and-link-to-sys.patch
Patch2:		0002-protobuf-add-syntax-proto2-directive-for-compat-with.patch
Patch3:		0003-re-gen-protobuf-.c-and-.h-with-protobuf-c-1.3.1.patch
Patch4:		0004-add-lprotobuf-c-to-pkg-config-s-Libs-line.patch
Patch5:		libsignal-protocol-c-cmake-4.0_2.patch
BuildRequires:	cmake
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libprotobuf-c)

%description
This is a ratcheting forward secrecy protocol that works in synchronous
and asynchronous messaging environments.

#------------------------------------------------

%package -n	%{libname}
Summary:	Signal Protocol C library
Group:		System/Libraries

%description -n	%{libname}
This is a ratcheting forward secrecy protocol that works in synchronous
and asynchronous messaging environments.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	signal-protocol-c-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%check
ctest -V %{?_smp_mflags}

%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/signal/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Jun 27 2025 daviddavid <daviddavid> 2.3.3-4.mga10
+ Revision: 2206761
- fix build with cmake 4.0

* Wed Mar 30 2022 umeabot <umeabot> 2.3.3-3.mga9
+ Revision: 1834129
- Mageia 9 Mass Rebuild

* Sat Jan 23 2021 wally <wally> 2.3.3-2.mga8
+ Revision: 1672944
- build with system protobuf-c

* Thu Jan 21 2021 daviddavid <daviddavid> 2.3.3-1.mga8
+ Revision: 1672722
- initial package libsignal-protocol-c (needed for dino)

